﻿using C1.Olap;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace SumOlap_WPFC1
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            System.Data.DataSet ds = new System.Data.DataSet();
            System.Data.DataTable dt = new System.Data.DataTable("CountrySales");

            dt.Columns.Add("Name", typeof(string));
            dt.Columns.Add("Quarter", typeof(string));
            dt.Columns.Add("Sales", typeof(decimal));

            //Sample Data
            dt.Rows.Add("US", "Quarter1", 546.34);
            dt.Rows.Add("US", "Quarter2", 868.57);
            dt.Rows.Add("US", "Quarter3", 347.16);
            dt.Rows.Add("US", "Quarter4", 1307.72);
            dt.Rows.Add("UK", "Quarter1", 723.77);
            dt.Rows.Add("UK", "Quarter3", 837.10);
            dt.Rows.Add("India", "Quarter1", 469.28);
            dt.Rows.Add("UK", "Quarter4", 024.49);
            dt.Rows.Add("India", "Quarter3", 945.23);
            dt.Rows.Add("India", "Quarter2", 436.21);

            ds.Tables.Add(dt);

            var olap = OlapPage.OlapPanel.OlapEngine;

            // bind OLAP page to data
            olap.DataSource = ds.Tables[0].DefaultView;

            // apply update to view
            olap.BeginUpdate();
            olap.ColumnFields.Add("Quarter");
            olap.RowFields.Add("Name");
            olap.ValueFields.Add("Sales");

            olap.Fields["Sales"].Format = "n0";
            olap.Fields["Sales"].Subtotal = Subtotal.Sum;

            olap.EndUpdate();
        }
    }
}
